{
  "all": [
    {
      "code": "1",
      "name": "北",
      "directionCode": "N",
      "angle": "0°"
    },
    {
      "code": "2",
      "name": "东北偏北",
      "directionCode": "NNE",
      "angle": "22.5°"
    },
    {
      "code": "3",
      "name": "东北",
      "directionCode": "NE",
      "angle": "0°"
    },
    {
      "code": "4",
      "name": "东北偏东",
      "directionCode": "ENE",
      "angle": "0°"
    },
    {
      "code": "5",
      "name": "东",
      "directionCode": "E",
      "angle": "0°"
    },
    {
      "code": "6",
      "name": "东南偏东",
      "directionCode": "ESE",
      "angle": "0°"
    },
    {
      "code": "7",
      "name": "东南",
      "directionCode": "SE",
      "angle": "0°"
    },
    {
      "code": "8",
      "name": "东南偏南",
      "directionCode": "SSE",
      "angle": "0°"
    },
    {
      "code": "9",
      "name": "南",
      "directionCode": "S",
      "angle": "0°"
    },
    {
      "code": "A",
      "name": "西南偏南",
      "directionCode": "SSW",
      "angle": "0°"
    },
    {
      "code": "B",
      "name": "西南",
      "directionCode": "SW",
      "angle": "0°"
    },
    {
      "code": "C",
      "name": "西南偏西",
      "directionCode": "WSW",
      "angle": "0°"
    },
    {
      "code": "D",
      "name": "西",
      "directionCode": "W",
      "angle": "0°"
    },
    {
      "code": "E",
      "name": "西北偏西",
      "directionCode": "WNW",
      "angle": "0°"
    },
    {
      "code": "F",
      "name": "西北",
      "directionCode": "NW",
      "angle": "0°"
    },
    {
      "code": "G",
      "name": "西北偏北",
      "directionCode": "NNW",
      "angle": "337.5°"
    },
    {
      "code": "H",
      "name": "全向/无向",
      "directionCode": "C",
      "angle": ""
    }
  ]
}